Skip to main content
GET
Get firm staff member

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

id
string
required

Response

When request is successful. Returns a 'Staff' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the staff member.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

versionId
string | null

Version id of the record.

Example:

"750eb5c5-ac0b-7d11-4997-e0ce9d8896c8"

title
string | null

Staff member's title.

Example:

"Mr"

firstName
string | null

Staff member's first name.

Example:

"John"

middleName
string | null

Staff member's middle name (if applicable).

Example:

""

lastName
string | null

Staff member's last name.

Example:

"Smith"

initials
string | null

Staff member's initials.

Example:

"JS"

phone
object | null

Staff member's phone details.

cell
object | null

Staff member's mobile details.

email
string | null

Staff member's email address.

Example:

"john.smith@brown.com"

role
string | null

Staff member's role.

Example:

"Bookkeeper"

rate
number<double> | null

Staff member's hourly rate in dollars.

Example:

150

avatar
string | null

Staff member's avatar.

Example:

"https://example-avatar-url.com/image"

former
boolean

Whether he/she is a former member.

Example:

false

enabled
boolean

Whether staff member is enabled.

Example:

true

userId
string | null

Staff member's User Id, if enabled.

Example:

"14b5dd57-3681-420e-a483-4823424eef45"

colorFill
string | null

Staff member's fill color hex code.

Example:

"#797d85"

colorStroke
string | null

Staff member's stroke color hex code.

Example:

"#64666a"

licenceNumbers
object[] | null

Licence numbers of the staff member.

outOfOffice
object | null

Staff member's Out-of-office period, if enabled.